Skip to main content
GET
/
alpha
/
merchant
/
orders
/
{id}
Get order by ID
curl --request GET \
  --url https://api.auctionnow.io/api/alpha/merchant/orders/{id} \
  --header 'Authorization: <authorization>'
{
  "data": {
    "_id": "<string>",
    "_creationTime": 123,
    "status": "<string>",
    "totalAmount": 123,
    "quantity": 123,
    "customerId": "<string>",
    "subTotalAmount": 123,
    "shippingCost": 123,
    "taxCost": 123,
    "trackingNumber": "<string>",
    "title": "<string>",
    "description": "<string>",
    "slug": "<string>",
    "buyerEmail": "<string>",
    "buyerName": "<string>",
    "processingFee": 123,
    "productType": "PHYSICAL"
  },
  "timestamp": 123,
  "message": "<string>"
}

Headers

Authorization
string
required

Your Auction Now API key as a Bearer token

Example:

"Bearer ak_XXXXXXX"

Path Parameters

id
string
required

The unique ID of the order

Response

Order details

data
object
required

The order details

timestamp
number
required
message
string